Index: uspace/lib/nic/src/nic_impl.c
===================================================================
--- uspace/lib/nic/src/nic_impl.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/nic/src/nic_impl.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -805,11 +805,11 @@
  *
  * @param fun		The DDF function where the method should be called.
- * @param callid	IPC call identifier
+ * @param chandle	IPC call identifier
  * @param call		IPC call data
  */
-void nic_default_handler_impl(ddf_fun_t *fun, cap_call_handle_t callid,
+void nic_default_handler_impl(ddf_fun_t *fun, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
-	async_answer_0(callid, ENOTSUP);
+	async_answer_0(chandle, ENOTSUP);
 }
 
Index: uspace/lib/usbhost/include/usb/host/ddf_helpers.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/ddf_helpers.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/usbhost/include/usb/host/ddf_helpers.h	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -58,5 +58,5 @@
 errno_t hcd_ddf_get_registers(hc_device_t *hcd, hw_res_list_parsed_t *hw_res);
 
-void hcd_ddf_gen_irq_handler(cap_call_handle_t iid, ipc_call_t *call, ddf_dev_t *dev);
+void hcd_ddf_gen_irq_handler(cap_call_handle_t icall_handle, ipc_call_t *call, ddf_dev_t *dev);
 
 #endif
Index: uspace/lib/usbvirt/src/device.c
===================================================================
--- uspace/lib/usbvirt/src/device.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/usbvirt/src/device.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -54,22 +54,22 @@
  * @param arg   Local argument
  */
-static void callback_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void callback_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	assert(DEV != NULL);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 		ipc_call_t call;
 
-		callid = async_get_call(&call);
-		bool processed = usbvirt_ipc_handle_call(DEV, callid, &call);
+		chandle = async_get_call(&call);
+		bool processed = usbvirt_ipc_handle_call(DEV, chandle, &call);
 		if (!processed) {
 			if (!IPC_GET_IMETHOD(call)) {
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 				return;
 			} else
-				async_answer_0(callid, EINVAL);
+				async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/lib/usbvirt/src/ipc_dev.c
===================================================================
--- uspace/lib/usbvirt/src/ipc_dev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/usbvirt/src/ipc_dev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -49,16 +49,16 @@
  */
 static void ipc_get_name(usbvirt_device_t *dev,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	if (dev->name == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 	}
 
 	size_t size = str_size(dev->name);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t accepted_size;
-	if (!async_data_read_receive(&callid, &accepted_size)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&chandle, &accepted_size)) {
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -67,7 +67,7 @@
 		accepted_size = size;
 	}
-	async_data_read_finalize(callid, dev->name, accepted_size);
-
-	async_answer_1(iid, EOK, accepted_size);
+	async_data_read_finalize(chandle, dev->name, accepted_size);
+
+	async_answer_1(icall_handle, EOK, accepted_size);
 }
 
@@ -79,5 +79,5 @@
  */
 static void ipc_control_read(usbvirt_device_t *dev,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	errno_t rc;
@@ -90,11 +90,11 @@
 	    1, 1024, 0, &setup_packet_len);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EPARTY);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EPARTY);
 		free(setup_packet);
 		return;
@@ -103,5 +103,5 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		free(setup_packet);
 		return;
@@ -113,6 +113,6 @@
 
 	if (rc != EOK) {
-		async_answer_0(data_callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(data_chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(setup_packet);
 		free(buffer);
@@ -120,6 +120,6 @@
 	}
 
-	async_data_read_finalize(data_callid, buffer, actual_len);
-	async_answer_0(iid, EOK);
+	async_data_read_finalize(data_chandle, buffer, actual_len);
+	async_answer_0(icall_handle, EOK);
 
 	free(setup_packet);
@@ -134,5 +134,5 @@
  */
 static void ipc_control_write(usbvirt_device_t *dev,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	size_t data_buffer_len = IPC_GET_ARG1(*icall);
@@ -146,5 +146,5 @@
 	    1, 0, 0, &setup_packet_len);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -154,5 +154,5 @@
 		    1, 0, 0, &data_buffer_len);
 		if (rc != EOK) {
-			async_answer_0(iid, rc);
+			async_answer_0(icall_handle, rc);
 			free(setup_packet);
 			return;
@@ -163,5 +163,5 @@
 	    data_buffer, data_buffer_len);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 
 	free(setup_packet);
@@ -179,5 +179,5 @@
 static void ipc_data_in(usbvirt_device_t *dev,
     usb_transfer_type_t transfer_type,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	usb_endpoint_t endpoint = IPC_GET_ARG1(*icall);
@@ -186,7 +186,7 @@
 
 	size_t data_len = 0;
-	cap_call_handle_t data_callid;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EPARTY);
+	cap_call_handle_t data_chandle;
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EPARTY);
 		return;
 	}
@@ -194,5 +194,5 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -203,12 +203,12 @@
 
 	if (rc != EOK) {
-		async_answer_0(data_callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(data_chandle, rc);
+		async_answer_0(icall_handle, rc);
 		free(buffer);
 		return;
 	}
 
-	async_data_read_finalize(data_callid, buffer, actual_len);
-	async_answer_0(iid, EOK);
+	async_data_read_finalize(data_chandle, buffer, actual_len);
+	async_answer_0(icall_handle, EOK);
 
 	free(buffer);
@@ -223,5 +223,5 @@
 static void ipc_data_out(usbvirt_device_t *dev,
     usb_transfer_type_t transfer_type,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	usb_endpoint_t endpoint = IPC_GET_ARG1(*icall);
@@ -233,5 +233,5 @@
 	    1, 0, 0, &data_buffer_size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -240,5 +240,5 @@
 	    data_buffer, data_buffer_size);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 
 	free(data_buffer);
@@ -248,38 +248,38 @@
  *
  * @param dev Target USB device.
- * @param callid Caller id.
+ * @param chandle Caller id.
  * @param call Incoming call.
  * @return Whether the call was handled.
  */
 bool usbvirt_ipc_handle_call(usbvirt_device_t *dev,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	switch (IPC_GET_IMETHOD(*call)) {
 	case IPC_M_USBVIRT_GET_NAME:
-		ipc_get_name(dev, callid, call);
+		ipc_get_name(dev, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_CONTROL_READ:
-		ipc_control_read(dev, callid, call);
+		ipc_control_read(dev, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_CONTROL_WRITE:
-		ipc_control_write(dev, callid, call);
+		ipc_control_write(dev, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_INTERRUPT_IN:
-		ipc_data_in(dev, USB_TRANSFER_INTERRUPT, callid, call);
+		ipc_data_in(dev, USB_TRANSFER_INTERRUPT, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_BULK_IN:
-		ipc_data_in(dev, USB_TRANSFER_BULK, callid, call);
+		ipc_data_in(dev, USB_TRANSFER_BULK, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_INTERRUPT_OUT:
-		ipc_data_out(dev, USB_TRANSFER_INTERRUPT, callid, call);
+		ipc_data_out(dev, USB_TRANSFER_INTERRUPT, chandle, call);
 		break;
 
 	case IPC_M_USBVIRT_BULK_OUT:
-		ipc_data_out(dev, USB_TRANSFER_BULK, callid, call);
+		ipc_data_out(dev, USB_TRANSFER_BULK, chandle, call);
 		break;
 
Index: uspace/srv/audio/hound/audio_device.c
===================================================================
--- uspace/srv/audio/hound/audio_device.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/audio/hound/audio_device.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -53,5 +53,5 @@
 static errno_t device_sink_connection_callback(audio_sink_t *sink, bool new);
 static errno_t device_source_connection_callback(audio_source_t *source, bool new);
-static void device_event_callback(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void device_event_callback(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 static errno_t device_check_format(audio_sink_t* sink);
 static errno_t get_buffer(audio_device_t *dev);
@@ -261,5 +261,5 @@
  * @param arg (unused)
  */
-static void device_event_callback(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void device_event_callback(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	struct timeval time1;
@@ -267,11 +267,11 @@
 
 	/* Answer initial request */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	audio_device_t *dev = arg;
 	assert(dev);
 	while (1) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
-		async_answer_0(callid, EOK);
+		cap_call_handle_t chandle = async_get_call(&call);
+		async_answer_0(chandle, EOK);
 		switch(IPC_GET_IMETHOD(call)) {
 		case PCM_EVENT_FRAMES_PLAYED:
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -68,5 +68,5 @@
 static void print_usage(void);
 static errno_t file_bd_init(const char *fname);
-static void file_bd_connection(cap_call_handle_t iid, ipc_call_t *icall, void *);
+static void file_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *);
 
 static errno_t file_bd_open(bd_srvs_t *, bd_srv_t *);
@@ -201,7 +201,7 @@
 }
 
-static void file_bd_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	bd_conn(iid, icall, &bd_srvs);
+static void file_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	bd_conn(icall_handle, icall, &bd_srvs);
 }
 
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/bd/rd/rd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -94,7 +94,7 @@
 static bd_srvs_t bd_srvs;
 
-static void rd_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	bd_conn(iid, icall, &bd_srvs);
+static void rd_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	bd_conn(icall_handle, icall, &bd_srvs);
 }
 
Index: uspace/srv/bd/sata_bd/sata_bd.c
===================================================================
--- uspace/srv/bd/sata_bd/sata_bd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/bd/sata_bd/sata_bd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -167,5 +167,5 @@
 
 /** Block device connection handler. */
-static void sata_bd_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void sata_bd_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	service_id_t dsid;
@@ -182,9 +182,9 @@
 
 	if (disk_id < 0) {
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
-	bd_conn(iid, icall, &disk[disk_id].bds);
+	bd_conn(icall_handle, icall, &disk[disk_id].bds);
 }
 
Index: uspace/srv/bd/vbd/disk.c
===================================================================
--- uspace/srv/bd/vbd/disk.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/bd/vbd/disk.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1068,5 +1068,5 @@
 }
 
-void vbds_bd_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void vbds_bd_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	vbds_part_t *part;
@@ -1084,10 +1084,10 @@
 		log_msg(LOG_DEFAULT, LVL_DEBUG, "vbd_bd_conn() - partition "
 		    "not found.");
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vbds_bd_conn() - call bd_conn");
-	bd_conn(iid, icall, &part->bds);
+	bd_conn(icall_handle, icall, &part->bds);
 	vbds_part_del_ref(part);
 }
Index: uspace/srv/bd/vbd/vbd.c
===================================================================
--- uspace/srv/bd/vbd/vbd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/bd/vbd/vbd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -87,14 +87,14 @@
 }
 
-static void vbds_get_disks_srv(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vbds_get_disks_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -102,6 +102,6 @@
 	service_id_t *id_buf = (service_id_t *) malloc(size);
 	if (id_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -110,16 +110,16 @@
 	if (rc != EOK) {
 		free(id_buf);
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void vbds_disk_info_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void vbds_disk_info_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t disk_sid;
@@ -132,34 +132,34 @@
 	rc = vbds_disk_info(disk_sid, &dinfo);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vbd_disk_info_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &dinfo,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &dinfo,
 	    min(size, sizeof(dinfo)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vbds_label_create_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vbds_label_create_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t disk_sid;
@@ -172,8 +172,8 @@
 	ltype = IPC_GET_ARG2(*icall);
 	rc = vbds_label_create(disk_sid, ltype);
-	async_answer_0(iid, rc);
-}
-
-static void vbds_label_delete_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void vbds_label_delete_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t disk_sid;
@@ -184,10 +184,10 @@
 	disk_sid = IPC_GET_ARG1(*icall);
 	rc = vbds_label_delete(disk_sid);
-	async_answer_0(iid, rc);
-}
-
-static void vbds_label_get_parts_srv(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, rc);
+}
+
+static void vbds_label_get_parts_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
@@ -197,7 +197,7 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vbds_label_get_parts_srv()");
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -207,6 +207,6 @@
 	category_id_t *id_buf = (category_id_t *) malloc(size);
 	if (id_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -214,16 +214,16 @@
 	rc = vbds_get_parts(sid, id_buf, size, &act_size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void vbds_part_get_info_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void vbds_part_get_info_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	vbds_part_id_t part;
@@ -236,34 +236,34 @@
 	rc = vbds_part_get_info(part, &pinfo);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vbd_part_info_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &pinfo,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &pinfo,
 	    min(size, sizeof(pinfo)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vbds_part_create_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vbds_part_create_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t disk_sid;
@@ -276,22 +276,22 @@
 	disk_sid = IPC_GET_ARG1(*icall);
 
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vbd_part_spec_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &pspec, sizeof(vbd_part_spec_t));
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &pspec, sizeof(vbd_part_spec_t));
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -299,12 +299,12 @@
 	rc = vbds_part_create(disk_sid, &pspec, &part);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_1(iid, rc, (sysarg_t)part);
-}
-
-static void vbds_part_delete_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_1(icall_handle, rc, (sysarg_t)part);
+}
+
+static void vbds_part_delete_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	vbds_part_id_t part;
@@ -315,8 +315,8 @@
 	part = IPC_GET_ARG1(*icall);
 	rc = vbds_part_delete(part);
-	async_answer_0(iid, rc);
-}
-
-static void vbds_suggest_ptype_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void vbds_suggest_ptype_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t disk_sid;
@@ -332,47 +332,47 @@
 	rc = vbds_suggest_ptype(disk_sid, pcnt, &ptype);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(label_ptype_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &ptype, sizeof(label_ptype_t));
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vbds_ctl_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &ptype, sizeof(label_ptype_t));
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vbds_ctl_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vbds_client_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -380,37 +380,37 @@
 		switch (method) {
 		case VBD_GET_DISKS:
-			vbds_get_disks_srv(callid, &call);
+			vbds_get_disks_srv(chandle, &call);
 			break;
 		case VBD_DISK_INFO:
-			vbds_disk_info_srv(callid, &call);
+			vbds_disk_info_srv(chandle, &call);
 			break;
 		case VBD_LABEL_CREATE:
-			vbds_label_create_srv(callid, &call);
+			vbds_label_create_srv(chandle, &call);
 			break;
 		case VBD_LABEL_DELETE:
-			vbds_label_delete_srv(callid, &call);
+			vbds_label_delete_srv(chandle, &call);
 			break;
 		case VBD_LABEL_GET_PARTS:
-			vbds_label_get_parts_srv(callid, &call);
+			vbds_label_get_parts_srv(chandle, &call);
 			break;
 		case VBD_PART_GET_INFO:
-			vbds_part_get_info_srv(callid, &call);
+			vbds_part_get_info_srv(chandle, &call);
 			break;
 		case VBD_PART_CREATE:
-			vbds_part_create_srv(callid, &call);
+			vbds_part_create_srv(chandle, &call);
 			break;
 		case VBD_PART_DELETE:
-			vbds_part_delete_srv(callid, &call);
+			vbds_part_delete_srv(chandle, &call);
 			break;
 		case VBD_SUGGEST_PTYPE:
-			vbds_suggest_ptype_srv(callid, &call);
+			vbds_suggest_ptype_srv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
 }
 
-static void vbds_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void vbds_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	service_id_t sid;
@@ -421,7 +421,7 @@
 
 	if (sid == ctl_sid)
-		vbds_ctl_conn(iid, icall, arg);
+		vbds_ctl_conn(icall_handle, icall, arg);
 	else
-		vbds_bd_conn(iid, icall, arg);
+		vbds_bd_conn(icall_handle, icall, arg);
 }
 
Index: uspace/srv/clipboard/clipboard.c
===================================================================
--- uspace/srv/clipboard/clipboard.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/clipboard/clipboard.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -95,5 +95,5 @@
 	fibril_mutex_lock(&clip_mtx);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
 
@@ -101,6 +101,6 @@
 	switch (IPC_GET_ARG1(*request)) {
 	case CLIPBOARD_TAG_DATA:
-		if (!async_data_read_receive(&callid, &size)) {
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&chandle, &size)) {
+			async_answer_0(chandle, EINVAL);
 			async_answer_0(rid, EINVAL);
 			break;
@@ -109,5 +109,5 @@
 		if (clip_tag != CLIPBOARD_TAG_DATA) {
 			/* So far we only understand binary data */
-			async_answer_0(callid, EOVERFLOW);
+			async_answer_0(chandle, EOVERFLOW);
 			async_answer_0(rid, EOVERFLOW);
 			break;
@@ -116,10 +116,10 @@
 		if (clip_size != size) {
 			/* The client expects different size of data */
-			async_answer_0(callid, EOVERFLOW);
+			async_answer_0(chandle, EOVERFLOW);
 			async_answer_0(rid, EOVERFLOW);
 			break;
 		}
 
-		errno_t retval = async_data_read_finalize(callid, clip_data, size);
+		errno_t retval = async_data_read_finalize(chandle, clip_data, size);
 		if (retval != EOK) {
 			async_answer_0(rid, retval);
@@ -152,12 +152,12 @@
 }
 
-static void clip_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void clip_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -166,14 +166,14 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case CLIPBOARD_PUT_DATA:
-			clip_put_data(callid, &call);
+			clip_put_data(chandle, &call);
 			break;
 		case CLIPBOARD_GET_DATA:
-			clip_get_data(callid, &call);
+			clip_get_data(chandle, &call);
 			break;
 		case CLIPBOARD_CONTENT:
-			clip_content(callid, &call);
+			clip_content(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 		}
 	}
